const express = require('express');

const regionApp = express.Router();

const libs = `${process.cwd()}/libs`;

const squel = require('squel');

const query = require(`${libs}/middlewares/query`);

const response = require(`${libs}/middlewares/response`);

// Get all regions
regionApp.get('/', (req, res, next) => {
    req.sql.from('regiao');
    next();
}, query, response('region'));

// Get a region by it's id
regionApp.get('/:id', (req, res, next) => {
    req.sql.from('regiao')
        .where('pk_regiao_id = ?', parseInt(req.params.id, 10));
    next();
}, query, response('region'));

module.exports = regionApp;
