const express = require('express');

const libs = `${process.cwd()}/libs`;

const squel = require('squel');

const query = require(`${libs}/middlewares/query`);

const response = require(`${libs}/middlewares/response`);

const simulationApp = express();

simulationApp.get('/', (req, res, next) => {
    req.sql = squel.select().from('simulacao').toParam();
    next();
}, query, response('simulacao'));

simulationApp.get('/:uid:/all', (req, res, next) => {
    // TODO: implement user checking

    req.sql = squel.select().from('simulacao').toParam();
    next();
}, query, response('simulacao'));

simulationApp.get('/:uid:/:simulation_id:/view', (req, res, next) => {
    // TODO: implement checking if the simulation belongs to the current user

    req.sql = squel.select().from('simulacao').toParam();
    next();
});

simulationApp.get('/:uid:/:simulation_id:/delete', (req, res, next) => {
    // TODO: implement checking if the simulation belongs to the current user

    req.sql = squel.select().from('simulacao').toParam();
    next();
});

simulationApp.get('/:uid:/:simulation_id:/edit', (req, res, next) => {
    // TODO: implement checking if the simulation belongs to the current user

    req.sql = squel.select().from('simulacao').toParam();
    next();
});

module.exports = simulationApp;

